Bug 255347 - math/py-matplotlib: upgrade to 3.4.1
Summary: math/py-matplotlib: upgrade to 3.4.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thierry Thomas
URL: https://matplotlib.org/stable/users/w...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-23 15:52 UTC by Thierry Thomas
Modified: 2021-05-10 20:18 UTC (History)
1 user (show)

See Also:
mainland: maintainer-feedback+


Attachments
Upgrade Matplotlib to 3.4.1 (16.73 KB, patch)
2021-04-23 15:52 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2021-04-23 15:52:06 UTC
Created attachment 224379 [details]
Upgrade Matplotlib to 3.4.1

Release notes at <https://matplotlib.org/stable/users/whats_new.html#id4>.

I tested it against some consumers without detecting any problem.
Comment 1 mainland 2021-05-08 18:48:53 UTC
I approve the patch. Thanks!
Comment 2 Thierry Thomas freebsd_committer 2021-05-09 20:48:40 UTC
Committed, thanks!
Comment 3 Po-Chuan Hsieh freebsd_committer 2021-05-10 17:31:08 UTC
@thierry: Since this update changes USES=python from 3.6+ to 3.7+, please update all dependent ports to USES=python:3.7+ as well. Otherwise it breaks the @py36 flavor.
Thanks!
Comment 4 commit-hook freebsd_committer 2021-05-10 20:14:08 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1d44af58980136b882d146f21d8776943a14c5eb

commit 1d44af58980136b882d146f21d8776943a14c5eb
Author:     Thierry Thomas <thierry@FreeBSD.org>
AuthorDate: 2021-05-10 20:06:35 +0000
Commit:     Thierry Thomas <thierry@FreeBSD.org>
CommitDate: 2021-05-10 20:13:20 +0000

    math/py-matplotlib: chase minimum Python version in dependent ports

    Since the previous update changed USES=python from 3.6+ to 3.7+, all
    dependent ports must have USES=python:3.7+ as well, otherwise it breaks
    the @py36 flavor.

    PR:             255347
    Reported by:    sunpoet

 astro/py-astlib/Makefile                 | 2 +-
 astro/py-ro/Makefile                     | 2 +-
 audio/py-music21/Makefile                | 2 +-
 biology/checkm/Makefile                  | 2 +-
 biology/groopm/Makefile                  | 2 +-
 biology/py-multiqc/Makefile              | 2 +-
 cad/freecad/Makefile                     | 2 +-
 cad/py-lcapy/Makefile                    | 2 +-
 cad/py-pyfda/Makefile                    | 2 +-
 devel/py-ipympl/Makefile                 | 2 +-
 devel/py-memory-profiler/Makefile        | 2 +-
 devel/py-orange-widget-base/Makefile     | 2 +-
 devel/py-qutip/Makefile                  | 2 +-
 devel/py-spyder-kernels/Makefile         | 2 +-
 finance/py-backtrader/Makefile           | 2 +-
 graphics/py-cartopy/Makefile             | 2 +-
 graphics/py-descartes/Makefile           | 2 +-
 graphics/py-geomdl/Makefile              | 2 +-
 graphics/py-mpl-interactions/Makefile    | 2 +-
 graphics/py-mpl-scatter-density/Makefile | 2 +-
 graphics/py-pyrsgis/Makefile             | 2 +-
 graphics/py-rasterio/Makefile            | 2 +-
 math/cadabra2/Makefile                   | 2 +-
 math/py-Diofant/Makefile                 | 2 +-
 math/py-baycomp/Makefile                 | 2 +-
 math/py-cma/Makefile                     | 2 +-
 math/py-mathics/Makefile                 | 2 +-
 math/py-matplotlib-scalebar/Makefile     | 2 +-
 math/py-networkx/Makefile                | 2 +-
 math/py-pyneqsys/Makefile                | 2 +-
 math/py-pyodesys/Makefile                | 2 +-
 math/py-python-picard/Makefile           | 2 +-
 math/py-yt/Makefile                      | 2 +-
 misc/orange3/Makefile                    | 2 +-
 misc/py-gluoncv/Makefile                 | 2 +-
 multimedia/pitivi/Makefile               | 2 +-
 net/scapy/Makefile                       | 2 +-
 print/py-fonttools/Makefile              | 2 +-
 print/py-fonttools3/Makefile             | 2 +-
 science/code_saturne/Makefile            | 2 +-
 science/gnudatalanguage/Makefile         | 2 +-
 science/py-MDAnalysis/Makefile           | 2 +-
 science/py-ase/Makefile                  | 2 +-
 science/py-chempy/Makefile               | 2 +-
 science/py-gpaw/Makefile                 | 2 +-
 science/py-obspy/Makefile                | 2 +-
 science/py-pyteomics/Makefile            | 4 ++--
 science/py-scikit-optimize/Makefile      | 2 +-
 science/rdkit/Makefile                   | 2 +-
 science/v_sim/Makefile                   | 2 +-
 science/wwplot/Makefile                  | 2 +-
 textproc/py-wordcloud/Makefile           | 2 +-
 52 files changed, 53 insertions(+), 53 deletions(-)
Comment 5 Thierry Thomas freebsd_committer 2021-05-10 20:18:18 UTC
(In reply to Po-Chuan Hsieh from comment #3)
Thanks! I did not know that we are supporting FLAVORS for Python versions < the default one.